.datepicker > div {
    display: block !important;
}

.datepicker--day-name {
    color: #f84e7e !important;
}

.de .--datepicker,
.it .--datepicker {
    font-size: 12px;
    left: 10px;
}

.ro .--datepicker,
.es .--datepicker,
.ru .--datepicker {
    font-size: 13px;
    left: 9px;
}

.pl .--datepicker {
    font-size: 14px;
    left: 10px;
}

.page-check {
    width: 100%;
    margin: 0 0 auto 0;
}

/* section: Main */

.page-check .section-main {
    margin: 0;
    padding: 40px 0;
    width: 100%;
    scroll-margin-top: 20px;
    background: var(--check-pic) right 0 top 0 no-repeat;
    background-size: 100% auto;

    @media (min-width: 992px) {
        background: var(--check-pic) right 0 top 0 no-repeat;
        background-size: 795px auto;
        padding: 80px 0;
    }
}

.page-check .section-main-row {
    @media (min-width: 992px) {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
}

/* left side */
.page-check .section-main-welcome {
    max-width: 520px;
    margin: 0 auto;

    @media (min-width: 992px) {
        flex: 1 0 50%;
    }
}

/* right side */
.page-check .section-main-score {
    @media (min-width: 992px) {
        flex: 1 0 50%;
    }
}

.page-check .section-main-welcome .lsection-title {
    text-align: left;
    font-size: 32px;
    line-height: 40px;

    @media (min-width: 992px) {
        font-size: 48px;
        line-height: 56px;
    }
}

.page-check .section-main-welcome .lsection-desc {
    text-align: left;
    font-size: 16px;
    line-height: 24px;

    @media (min-width: 992px) {
        font-size: 20px;
        line-height: 28px;
    }
}

.page-check .section-main-welcome .lsection-title,
.page-check .section-main-welcome .lsection-desc,
.page-check .section-main-welcome-btn {
    text-align: left;
    margin-bottom: 32px;
}

.page-check .section-main-welcome-btn .btn {
    width: 100%;
    max-width: 360px;
}

/* Score box */
.check-score-box {
    overflow: hidden;
    max-width: 520px;
    margin: 0 auto 40px auto;
    padding: 0 0 20px 0;

    @media (min-width: 992px) {
        margin: 0 0 0 auto;
    }
}

.check-score-box-wrapper {
    position: relative;
    background-color: var(--check-score-bg);
    padding: 16px;
    border-radius: var(--form-radius) var(--form-radius) 0 0;

    @media (min-width: 992px) {
        padding: 32px 32px 16px 32px;
    }
}

.check-score-box-wrapper::after {
    content: "";
    display: block;
    position: absolute;
    left: -20px;
    right: 0;
    bottom: -20px;

    height: 20px;
    background:
        linear-gradient(
                135deg,
                var(--check-score-bg) 25%,
                transparent 25%
            ) -20px
            0,
        linear-gradient(
                225deg,
                var(--check-score-bg) 25%,
                transparent 25%
            ) -20px
            0,
        linear-gradient(315deg, var(--check-score-bg) 25%, transparent 25%),
        linear-gradient(45deg, var(--check-score-bg) 25%, transparent 25%);
    background-size: 40px 40px;
    background-color: transparent;
}

.check-score-box-head {
    text-align: center;
    border-bottom: 1px solid var(--check-score-head-border);
    margin: 0 0 24px 0;
}
.check-score-box-head-title {
    color: var(--check-score-head-title);
    font-family: "GolosText-Medium";
    font-size: 14px;
    line-height: 20px;
    margin: 0 0 16px 0;
}
.check-score-box-head-date {
    color: var(--check-score-head-date);
    font-family: "GolosText-Regular";
    font-size: 12px;
    line-height: 18px;
    margin: 0 0 16px 0;
}

.check-score-box-line {
    display: flex;
    align-content: flex-start;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
    min-height: 32px;
    margin: 10px 0 0 0;

    @media (min-width: 992px) {
        min-height: 40px;
        margin: 16px 0 0 0;
    }
}

.check-score-box-line:first-child {
    margin-top: 0;
}

.check-score-box-line-name {
    color: var(--check-score-line-name);
    font-family: "GolosText-Regular";
    font-size: 16px;
    line-height: 24px;
    padding: 0 9px 0 0;
}

.check-score-box-line-name-ico {
    width: 32px;
    height: auto;
    margin: 0 6px 0 0;
    display: inline-block;
    vertical-align: middle;
    position: relative;
    top: -1px;

    @media (min-width: 992px) {
        width: 40px;
        top: -2px;
    }
}

.check-score-box-line-value {
    color: var(--check-score-line-value);
    font-family: "GolosText-Medium";
    font-size: 16px;
    line-height: 24px;

    /* overflow text */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.check-score-box-line-value .label {
    display: block;
    min-width: 90px;
}

.check-score-box .btn-download-pdf {
    max-width: 320px;
    margin: 0 auto;
}

.check-score-box .btn-download-pdf .fa {
    margin: 0 6px 0 0;
    top: -1px;
}

.check-score-box--small {
    overflow: hidden;
    max-width: 520px;
    margin: 0 auto 40px auto;
    padding: 0 0 20px 0;

    .check-score-box-wrapper {
        position: relative;
        background-color: var(--check-score-bg);
        padding: 16px;
        border-radius: var(--form-radius) var(--form-radius) 0 0;
    }

    .check-score-box-line {
        display: flex;
        align-content: flex-start;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: space-between;
        align-items: center;
        min-height: 32px;
        margin: 10px 0 0 0;
    }

    .check-score-box-line:first-child {
        margin-top: 0;
    }

    .check-score-box-line-btn {
        text-align: center;
        width: 100%;
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        align-content: center;
        justify-content: center;
        align-items: center;
        color: var(--check-form-result-descr);
        font-family: "GolosText-Regular";
        font-size: 16px;
        line-height: 24px;
        cursor: pointer;
    }

    .check-score-box-line-btn::after {
        content: " \2191";
        display: inline;
        padding: 0 0 0 9px;
    }

    .check-score-box-line-btn.collapsed::after {
        content: " \2193";
    }
}

/* section: Features */

.page-check .section-features {
    margin: 0;
    padding: 0 0 40px 0;
    width: 100%;
    scroll-margin-top: 20px;

    @media (min-width: 992px) {
        padding: 0 0 80px 0;
    }
}

.section-features-list {
    @media (min-width: 992px) {
        display: flex;
        flex-wrap: nowrap;
        flex-direction: column;
        align-content: flex-start;
        justify-content: space-between;
        align-items: flex-start;
        gap: 16px;
        margin: 0 auto;
        max-width: 500px;
    }

    @media (min-width: 1200px) {
        display: flex;
        flex-wrap: nowrap;
        flex-direction: row;
        align-content: flex-start;
        justify-content: space-between;
        align-items: flex-start;
        gap: 0;
        margin: 0 -16px;
        max-width: 100%;
    }
}

.section-features-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin: 16px auto 0 auto;
    max-width: 500px;

    @media (min-width: 992px) {
        display: flex;
        flex-direction: row;
        align-items: center;
        text-align: center;
        justify-content: flex-start;
        margin: 0 0 0 16px;
        flex: 0 0 33%;
    }
}

.section-features-item:first-child {
    margin-top: 0;
}

.section-features-item-icon {
    flex: 1 0 80px;
    width: 80px;
    height: 82px;
    background: var(--about-ico) 50% 50% no-repeat;
    background-size: 100% auto;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 0 8px 0;
    color: var(--about-ico-color);

    @media (min-width: 992px) {
        flex: 1 0 110px;
        width: 110px;
        height: 112px;
        margin: 0;
    }
}

.section-features-item-content {
    @media (min-width: 992px) {
        text-align: left;
        margin: 0 0 0 16px;
    }
}

.section-features-item-title {
    font-family: "GolosText-SemiBold";
    color: var(--about-item-title);
    font-size: 16px;
    line-height: 24px;
    margin: 0 0 8px 0;

    @media (min-width: 992px) {
        font-size: 20px;
        line-height: 28px;
    }
}

.section-features-item-text {
    font-family: "GolosText-Regular";
    color: var(--about-item-text);
    font-size: 16px;
    line-height: 24px;
}

/* section: Form */

.page-check .section-form {
    margin: 0;
    padding: 40px 0;
    width: 100%;
    scroll-margin-top: 20px;
    background: var(--check-section-form-bg);
    position: relative;

    @media (min-width: 992px) {
        padding: 80px 0;
    }
}

.page-check .section-form-content {
    position: relative;
    z-index: 2;
    padding: 0 16px;
}

.page-check .section-form-decor {
    position: absolute;
    z-index: 1;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background:
        var(--check-section-form-pic-rt) 50% 0 no-repeat,
        var(--check-section-form-pic-lb) 50% 100% no-repeat;
    background-size: 100% auto;

    @media (min-width: 992px) {
        background:
            var(--check-section-form-pic-rt) right 0 top 0 no-repeat,
            var(--check-section-form-pic-lb) left 0 bottom 0 no-repeat;
        background-size:
            795px auto,
            704px auto;
    }
}

.section-form .lsection-title {
    color: var(--check-section-form-title);
    max-width: 628px;
    margin-left: auto;
    margin-right: auto;
}

.section-form .lsection-desc {
    color: var(--check-section-form-desc);
    max-width: 628px;
    margin-left: auto;
    margin-right: auto;
}

.section-form .check-form {
    max-width: 846px;
    margin: 0 auto;
    padding: 16px;
    background-color: var(--check-form-bg);
    border-radius: 16px;

    @media (min-width: 992px) {
        padding: 32px;
        border-radius: 20px;
    }
}

.check-form-result .check-score-box {
    max-width: none;
}

.section-form .check-form .check-form-result {
    padding: 16px;
    margin: 16px -16px -16px -16px;
    background-color: var(--check-form-result-bg);
    border-radius: 0 0 16px 16px;

    @media (min-width: 992px) {
        padding: 32px;
        margin: 32px -32px -32px -32px;
        border-radius: 0 0 20px 20px;
    }
}

.section-form .check-form .max-w {
    max-width: 376px;
    margin: 0 auto;
}

.section-form .check-form-result .max-w {
    max-width: 410px;
}

/* reset max width when open collapsed box */
.section-form
    .check-form-result
    .max-w:has(.check-score-box-line-btn[aria-expanded="true"]) {
    max-width: none;
}

.form__set {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
    margin-bottom: 23px;
}

.form__set p {
    font-family: "GolosText-Regular";
    font-size: 14px;
    line-height: 22px;
    color: var(--check-form-p);
}

.form__item {
    position: relative;
    flex: 1;
}

.form__item--card {
    min-width: 220px;
}

.form__item input.--error {
    border-color: var(--form-control-border-error) !important;
}

.form__item textarea {
    width: 100%;
    border: 1px solid rgba(146, 158, 177, 0.6);
    padding: 14px 15px;
    height: 100px;
    background: #fff;
    border-radius: 2px;
}

.form__item textarea::-webkit-input-placeholder {
    color: #929eb1;
    font-size: 15px;
}

.form__item textarea::-moz-placeholder {
    color: #929eb1;
    font-size: 15px;
}

.form__item textarea:-ms-input-placeholder {
    color: #929eb1;
    font-size: 15px;
}

.form__item textarea:-moz-placeholder {
    color: #929eb1;
    font-size: 15px;
}

.form__item .input-date {
    background: #fff url("../images/leks/date.svg") right 12px top 50% no-repeat;
    background-size: 24px;
    cursor: pointer;
}

.form__item.--error input,
.form__item.--error textarea {
    border-color: var(--form-control-border-error) !important;
}

.form__item.--focus .amount__currency {
    color: #00a3ff;
}
.form__item.--focus .form-item__placeholder,
.form__item.--fill .form-item__placeholder {
    top: -12px;
}
.form label {
    position: relative;
    display: block;
    font-size: 12px;
    line-height: 15px;
    color: #172338;
    padding-left: 25px;
    cursor: pointer;
    z-index: 2;
}

.form__action {
    display: flex;
    text-align: center;
    margin-bottom: 0;
    margin-top: -10px;
    flex-direction: row;
}

.form__action .g-recaptcha {
    border: 1px solid transparent;
    margin-top: -2px;
    transform: scale(0.8);
    transform-origin: 0 0;
}

.form-item__error {
    position: absolute;
    display: none;
    bottom: -7px;
    left: 11px;
    background: #fff;
    padding: 0 5px;
    font-size: 13px;
    line-height: 17px;
    color: #c73b32;
}
.form-item__error.show {
    display: block;
}

.form-item__placeholder {
    position: absolute;
    padding: 0 6px;
    top: 9px;
    left: 10px;
    transition: 0.15s;
    font-family: "GolosText-Regular";
    font-size: 14px;
    line-height: 22px;
    color: var(--form-control-color-placeholder);
    background-color: var(--check-form-bg);
}

.check-form-result-title {
    text-align: center;
    margin: 16px 0;
    padding: 0;
    color: var(--check-form-result-title);
    font-family: "GolosText-Medium";
    font-size: 22px;
    line-height: 30px;

    @media (min-width: 992px) {
        font-size: 32px;
        line-height: 40px;
    }
}

.check-form-result-descr {
    text-align: center;
    margin: 16px 0;
    padding: 0;
    color: var(--check-form-result-descr);
    font-family: "GolosText-Regular";
    font-size: 16px;
    line-height: 24px;
}

.check-form-result-descr a,
.check-form-result-descr a:visited {
    font-family: "GolosText-Medium";
    color: var(--check-form-result-descr-link);
    text-decoration: underline;
}

.check-form-result-descr a:hover {
    color: var(--check-form-result-descr-link);
    text-decoration: none;
}
